From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/bokeh/
Date: Fri, 5 Feb 2016 19:45:16 +0000 (UTC) [thread overview]
Message-ID: <1454701503.c1208cefcbba38562ff361653294ca73a28e709b.jlec@gentoo> (raw)
commit: c1208cefcbba38562ff361653294ca73a28e709b
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 5 19:14:41 2016 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Fri Feb 5 19:45:03 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c1208cef
dev-python/bokeh: Version Bump
Package-Manager: portage-2.2.27
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
dev-python/bokeh/Manifest | 1 +
dev-python/bokeh/bokeh-0.11.1.ebuild | 59 ++++++++++++++++++++++++++++++++++++
2 files changed, 60 insertions(+)
diff --git a/dev-python/bokeh/Manifest b/dev-python/bokeh/Manifest
index 1c2f6e9..e988597 100644
--- a/dev-python/bokeh/Manifest
+++ b/dev-python/bokeh/Manifest
@@ -1,3 +1,4 @@
DIST bokeh-0.10.0.tar.gz 4474129 SHA256 2d8bd8c98e2f62b2a28328d3cc95bfbe257742fa7efc9c382b4c8ae4a141df14 SHA512 19023f1e67245005581b8640380045a8795747da75025478881f9d3791e82289ee75b74142b38a0bae9c236c0b1b6df1629376d5c3fcc319ceafb0a4abc7240f WHIRLPOOL 86e8e3774287164d2d7da0a04ceddb62eb03a19e48c82acf806c1a356d361f655bd6087f15b740ab36b84891ed849435e2a9c6098e881f07299cce8553d88fb2
DIST bokeh-0.11.0.tar.gz 4918634 SHA256 0f3637cb2594953327e2c2e54dff75d3914647ffa6c6daec96c812042fa2d8a8 SHA512 98920ae2ad83a421aa252fda5c07a401421e2959b551ec9c984f236f39a1986a14d83da01406ce0a1a3745abb03a7ff5533a3619cf537a7fcafffce8a024c762 WHIRLPOOL 2c67974661d69f91c8f8c46619800136c12e5f2453e955e885f3ac0e9dc43b270b45ff42cccd77f146a3c7b697faede318bf04a713637a784446387d6df785da
+DIST bokeh-0.11.1.tar.gz 3383140 SHA256 34a73d8f68e7d6faaecc9f785cac8e9f76b88a7e7aacf66307076b03b4d3c472 SHA512 18cfee85698f1ba548c34fb223dc57e36584951064e65fac83cb8388b129914a8f67970a133ef2d1a67c06e50cbfb565a27d33dc9c90f5027a1739d400894706 WHIRLPOOL 5f8aa63f90e95945b7c1e1770d869ee7b8aee34d07f6f254586de5d30561b1688f5390f688f9792627809229fb93fcf607a012dc5e070a5c8f7c95b84dd8db4d
DIST bokeh-0.7.1.tar.gz 30039486 SHA256 167125e07df2ea1f65b1b6dfed140b7b6ed7452a1182ad4cb0be2580af537f73 SHA512 cf2ee6457cab7ca0a98c2cf19a7814e081245b30cf6f4f4670f8fc60b216bb39f14d3cdf52c92f85635cbf6419db00c0c01adb2e1a6eeaa019cdc767c642c160 WHIRLPOOL 23e66370f1cab2d3a3c40b0713e5cdb50afa7aeec1c2d1172a1d9a5598c004dd351509973ac84f24ebb30dbc5a86de455e1dfcbe00daf6a1d12c3e336122a2b8
diff --git a/dev-python/bokeh/bokeh-0.11.1.ebuild b/dev-python/bokeh/bokeh-0.11.1.ebuild
new file mode 100644
index 0000000..517a13f
--- /dev/null
+++ b/dev-python/bokeh/bokeh-0.11.1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Statistical and novel interactive HTML plots for Python"
+HOMEPAGE="http://bokeh.pydata.org/ http://github.com/bokeh/bokeh http://pypi.python.org/pypi/bokeh"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples test"
+
+# A doc build requires napoleon sphinx extension which will be included in sphinx release 1.3
+# Therefore refraining from adding the doc build for now
+RDEPEND="
+ dev-python/abstract_rendering[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.2.7[${PYTHON_USEDEP}]
+ >=dev-python/flask-0.10.1[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.7[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.7.1[${PYTHON_USEDEP}]
+ >=dev-python/pandas-0.11[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.1[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.10[${PYTHON_USEDEP}]
+ >=dev-python/pyzmq-14.3.1[${PYTHON_USEDEP}]
+ >=dev-python/redis-py-2.7.6[${PYTHON_USEDEP}]
+ >=dev-python/requests-1.2.3[${PYTHON_USEDEP}]
+ >=dev-python/six-1.5.2[${PYTHON_USEDEP}]
+ dev-python/websocket-client[${PYTHON_USEDEP}]
+ >=dev-python/werkzeug-0.9.1[${PYTHON_USEDEP}]
+ >=www-servers/tornado-4.0.1[${PYTHON_USEDEP}]
+ "
+# testing server: needs websocket not in portage yet
+# websocket is in pypi for the adding
+# hdf5 backend: needs array management not in portage yet
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]' 'python2*')
+ $(python_gen_cond_dep 'dev-python/flexx[${PYTHON_USEDEP}]' 'python3*')
+ )"
+
+python_test() {
+ cd "${BUILD_DIR}"/lib || die
+ py.test -m 'not (js or examples or integration)' -vv || die
+}
+
+python_install_all() {
+ use examples && local EXAMPLES=( examples/. )
+
+ distutils-r1_python_install_all
+}
next reply other threads:[~2016-02-05 19:45 UTC|newest]
Thread overview: 18+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-02-05 19:45 Justin Lecher [this message]
-- strict thread matches above, loose matches on Subject: below --
2019-12-13 20:45 [gentoo-commits] repo/gentoo:master commit in: dev-python/bokeh/ David Seifert
2018-07-21 0:08 Mikle Kolyada
2018-07-02 7:02 Pacho Ramos
2018-07-01 15:19 Pacho Ramos
2018-06-28 21:09 Pacho Ramos
2018-06-28 19:18 Pacho Ramos
2018-06-28 19:18 Pacho Ramos
2018-06-28 19:18 Pacho Ramos
2018-05-16 22:57 Aaron Bauman
2017-01-30 19:47 Sebastien Fabbro
2016-12-31 22:20 Agostino Sarubbo
2016-02-08 10:46 Justin Lecher
2016-01-07 19:08 Justin Lecher
2016-01-07 8:56 Justin Lecher
2015-12-09 15:25 Justin Lecher
2015-12-09 15:13 Justin Lecher
2015-12-09 15:10 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1454701503.c1208cefcbba38562ff361653294ca73a28e709b.jlec@gentoo \
--to=jlec@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox